Subject: bug#72045: [PATCH v3 2/2] gnu: emacs-minimal: Ungraft.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 20 Jul 2024 17:02:21 +0200

Am Samstag, dem 20.07.2024 um 10:31 -0400 schrieb Suhail Singh:
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > +    ;; Run `make check-system TESTS=emacs-native-comp' to ensure
> > that grafts
> > +    ;; can meaningfully be applied.
> 
> Either this isn't the correct invocation or I am doing something
> wrong.  Running that command in guix checkout seems to run many tests
> (possibly all of them?).  After applying this patch I get the
> following test suite summary:
> 
> #+begin_quote
>   ...
>  
> =====================================================================
>   Testsuite summary for GNU Guix 1.4.0-23.843b85c
> =====================================================================
>   # TOTAL: 2451
>   # PASS:  2341
>   # SKIP:  86
>   # XFAIL: 2
>   # FAIL:  22
>   # XPASS: 0
>   # ERROR: 0
>  
> =====================================================================
>   See ./test-suite.log
>   Please report to [email-masked]
> =====================================================================
>   ...
> #+end_quote
Well, I get

#+begin_quote
Selected 1 system tests...
/gnu/store/rszxrbzryn0cwmdq5mppr7yqqgij4gzd-emacs-native-comp-
compatible
#+end_quote

That's quite strange.